LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   does nvidia Geforce gtx 280 work on feodra 9? (http://www.linuxquestions.org/questions/linux-newbie-8/does-nvidia-geforce-gtx-280-work-on-feodra-9-a-672192/)

olracdor 09-24-2008 10:45 PM

does nvidia Geforce gtx 280 work on feodra 9?
 
does nvidia Geforce gtx 280 work on feodra 9? how can i install the driver for these? if theres any driver for the 280

henry_shadowjet 09-25-2008 07:34 PM

Hi there,

GeForce GTX 280 support has been added since version 177.13:
http://www.nvidia.com/object/linux_d...32_177.13.html (32bit)
http://www.nvidia.com/object/linux_d...64_177.13.html (64bit)

To get the latest drivers (BETA 177.76), though, use the following links:
ftp://download.nvidia.com/XFree86/Li...77.76-pkg1.run (32bit)
ftp://download.nvidia.com/XFree86/Li...77.76-pkg2.run (64bit)

I'm using Fedora 9, though not the same GPU, and these drivers work pretty well.

Good luck

John VV 09-26-2008 12:53 AM

do not install the nvidia.run blob install use the livna repo and yum to install the driver
see:
http://www.mjmwired.net/resources/mj...f9.html#nvidia
but use " su - " and not sudo ( that is unless you already have sudo configured and setup)
Code:

su -
( your root password when asked )
rpm -ivh http://rpm.livna.org/livna-release-9.rpm
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-livna
yum install kmod-nvidia

This is because some programs in fedora WILL NOT RUN using the nvidia.run .But will run just fine using the rpm

blitzo 10-09-2008 08:33 AM

I am running into problems with Fedora 9 and the GTX 280. I prefer to install everything through yum.

olracdor - Did you get it working?

John VV - Is 177.+ in the Livna repo?

John VV 10-09-2008 10:55 AM

the kmod for kernel 2.6.26.5-45
-----
kmod-nvidia-2.6.26.5-45.fc9.i686-173.14.12-5.lvn9.i686.rpm
for PAE
kmod-nvidia-PAE-173.14.12-5.lvn9.i686.rpm

so YES they are in the yum repos


PS. If you have already installed the *.run package at some point .THEN YOU MUST run
Code:

su -
telinit 3
( relogin as root )
cd / ( to the .run file )
sh *.run --uninstall

to remove the nvidia's blob
before installing the kmod-nvidia

blitzo 10-09-2008 01:19 PM

You misunderstood. The original poster needs version 177.13 or higher nvidia drivers, because anything before 177.13 does not support the GTX 280 card. Version 177+ is not in any of the well known repos for Fedora 9. So if you are using Fedora 9 or older you can not use the nvidia driver in the repos. You can use the binary driver nvidia provides on their website but due to conflicts with other software it is not recommended. I have found a work around, although I have not thoroughly tested. I was able to create a newer rpm of the nvidia-x11-drv package, thanks to some help within the Fedora community.

Quote:

Originally Posted by John VV (Post 3305292)
the kmod for kernel 2.6.26.5-45
-----
kmod-nvidia-2.6.26.5-45.fc9.i686-173.14.12-5.lvn9.i686.rpm
for PAE
kmod-nvidia-PAE-173.14.12-5.lvn9.i686.rpm

so YES they are in the yum repos


olracdor 10-10-2008 03:08 AM

@blitzo

yeah! i got it working! but i used the driver from the nvdia website. i downloaded the latest kernel and installed the driver and its working fine now. THANKS guys!


All times are GMT -5. The time now is 12:20 AM.